import { HeadersInit } from '../types/configuration';
import ICredentials from '../types/credentials';
import IHttpClient, { IRequest } from '../types/http-client';
export default class HttpClient implements IHttpClient {
    private readonly url;
    private readonly headers;
    private credentials;
    constructor(url: string | undefined, credentials: ICredentials, headers?: HeadersInit);
    request({ path, method, contentType, body, params }: IRequest): Promise<any>;
    private parseContentType;
    fetch(url: RequestInfo, options: RequestInit): Promise<Response>;
}
