import IHttpClient from '../../types/http-client';
import Application from '../../types/input/application';
import IPermissionsRepo, { loadParams } from '../../types/repositories/permissions';
import PermissionsManager from '../permissions-manager';
export default class PermissionsRepository implements IPermissionsRepo {
    private httpClient;
    private application;
    constructor(httpClient: IHttpClient, application: Application);
    load(rest?: loadParams): Promise<PermissionsManager>;
}
