import PermissionsManager from '../../lib/permissions-manager';
export declare enum Resources {
    Pronunciation = "pronunciation",
    UserResponse = "user_response",
    RecordingRequest = "recording_request",
    CustomAttributes = "custom_attributes"
}
export declare type Actions = {
    actions: string[];
    exclude_actions: string[];
};
export interface loadParams {
    [x: string]: any;
}
export declare type ResourcePermissions = Partial<Record<Resources, Actions>>;
export default interface IPronunciationsRepo {
    load: (params?: loadParams) => Promise<PermissionsManager>;
}
