import IHttpClient from '../../types/http-client';
import Application from '../../types/input/application';
import ICustomAttributesRepo, { SaveValuesParams } from '../../types/repositories/custom-attributes';
export default class CustomAttributesRepository implements ICustomAttributesRepo {
    private httpClient;
    private application;
    constructor(httpClient: IHttpClient, application: Application);
    retrieveConfig(): Promise<any>;
    saveValues({ userContext, targetOwnerContext, customAttributesValues }: SaveValuesParams): Promise<any>;
}
